framework7AppReady.then(function() {
var instance_id = 18583;

        myApp.onPageBeforeInit('18583', function (page) {
        var config;

        myApp.showPreloader(l10n.common[lang].loading);
        getConfig(instance_id).then(function(data) {
            config = data || '[]';
            setTimeout(function() {
                myApp.hidePreloader();
            }, 500);

            var someData = $.parseJSON(config);
            if (someData.disabled && someData.paidUntil != null){
                myApp.modal({
                    text: l10n.common[lang].disabled_app,
                    buttons: [{text: 'OK'}]
                });
                return;
            }

            if (!processUpdateNotification(someData)) {
                return;
            }

            if (someData.componentBackground
                   && (someData.componentBackground != '#ffffff')
            ) {
                var sheet = document.styleSheets[0];
                sheet.insertRule('.page[data-page="' + 18583 + '"] .page-content {background-color: ' + someData.componentBackground + ' !important;}', 0);
            }
            if (page.query.category_id !== undefined) {
    (new StoreComponent()).renderComponent(
        $('.view-area').last(),
        config,
        instance_id,
        page.query.category_id,
        false
    );
} else if(page.query.productId !== undefined) {
    (new StoreComponent()).renderComponent(
        $('.view-area').last(),
        config,
        instance_id,
        0,
        false,
        page.query.productId
    );
} else if(page.query.searchQuery !== undefined) {
    (new StoreComponent()).renderComponent(
        $('.view-area').last(),
        config,
        instance_id,
        0,
        false,
        null,
        page.query.searchQuery
    );
} else if(page.query.openCart) {
    (new StoreComponent()).renderComponent(
        $('.view-area').last(),
        config,
        instance_id,
        0,
        true
    );
} else {
    (new StoreComponent()).renderComponent(
        $('.view-area').last(),
        config,
        instance_id,
        0,
        false
    );
}
        });
    });

    function processUpdateNotification(config) {
        var NO_CHECK = 0;
        var SOFT_CHECK = 1;
        var HARD_CHECK = 2;

        if ((config.update_notification == NO_CHECK) || !config.version) {
            return true;
        }
        if (!SemVer.isLowerThan(version, config.version)) {
            return true;
        }

        if (config.update_notification == SOFT_CHECK) {
            var prevCheckTime = localStorage.getItem('prevCheckTime');
            var timeStamp = Date.now () / 1000;

            if ((prevCheckTime !== null)
                && (prevCheckTime > (timeStamp - 86400))
            ) {
                return true;
            }
            localStorage['prevCheckTime'] = timeStamp;
            showSoftUpdateWindow();
            return true;
        }

        if (config.update_notification == HARD_CHECK) {
            showHardUpdateWindow();
            return false;
        }

        return true;
    }
});
