framework7AppReady.then(function() {
var instance_id = 18837;

        myApp.onPageBeforeInit('18837', function (page) {
        var config;

        myApp.showPreloader(l10n.common[lang].loading);
        getConfig(instance_id).then(function(data) {
            config = data || '[]';
            setTimeout(function() {
                myApp.hidePreloader();
            }, 500);

            var someData = $.parseJSON(config);
            if (someData.disabled && someData.paidUntil != null){
                myApp.modal({
                    text: l10n.common[lang].disabled_app,
                    buttons: [{text: 'OK'}]
                });
                return;
            }

            if (!processUpdateNotification(someData)) {
                return;
            }

            if (someData.componentBackground
                   && (someData.componentBackground != '#ffffff')
            ) {
                var sheet = document.styleSheets[0];
                sheet.insertRule('.page[data-page="' + 18837 + '"] .page-content {background-color: ' + someData.componentBackground + ' !important;}', 0);
            }
            /**
 * Этот файл содержит код, необходимый для инициализации компонента.
 * В данный момент доступны переменныя:
 * - instance_id - ID инстанса
 * - config - конфиг компонента
 *
 * Необязательный. Его может не быть в случае, если компонент не содержит
 * отдельной страницы.
 */

if (page.query.new) {
    (new NewsComponent()).renderComponent(
        $('.view-area').last(), config, instance_id, page.query.new
    );
} else {
    (new NewsComponent()).renderComponent(
        $('.view-area').last(), config, instance_id
    );
}
        });
    });

    function processUpdateNotification(config) {
        var NO_CHECK = 0;
        var SOFT_CHECK = 1;
        var HARD_CHECK = 2;

        if ((config.update_notification == NO_CHECK) || !config.version) {
            return true;
        }
        if (!SemVer.isLowerThan(version, config.version)) {
            return true;
        }

        if (config.update_notification == SOFT_CHECK) {
            var prevCheckTime = localStorage.getItem('prevCheckTime');
            var timeStamp = Date.now () / 1000;

            if ((prevCheckTime !== null)
                && (prevCheckTime > (timeStamp - 86400))
            ) {
                return true;
            }
            localStorage['prevCheckTime'] = timeStamp;
            showSoftUpdateWindow();
            return true;
        }

        if (config.update_notification == HARD_CHECK) {
            showHardUpdateWindow();
            return false;
        }

        return true;
    }
});
