l10n.auth_sidemenu = {
    'ru-RU': {
        personal_cabinet: 'Личный кабинет',
        sign_in: 'Войти',
        settings: 'Настройка',
    },
    'en-US': {
        personal_cabinet: 'Personal account',
        sign_in: 'Sign in',
        settings: 'Settings',
    }
};


framework7AppReady.then(function() {
    account.onLogin = function() {
        if (window && window.plugins && window.plugins.OneSignal) {
            window.plugins.OneSignal.sendTag('account_token', account.token);
        }
        renderSideMenu($('.js-left-menu'), mainConfig.instances);
    };
    account.onBeforeLogout = function() {
        if (window && window.plugins && window.plugins.OneSignal) {
            window.plugins.OneSignal.deleteTag('account_token');
        }
    };
    account.onLogout = function() {
        renderSideMenu($('.js-left-menu'), mainConfig.instances);
    };

    myApp.onPageBeforeInit('login', function(page) {
        myApp.showPreloader(l10n.common[lang].loading);
        account.fetch().then(function() {
            var cabinet =
                new PersonalCabinetManager(page.query.instance_id || null);
            cabinet.render();
            myApp.hidePreloader();
            $('.js-app-name')
                .text(l10n['auth_sidemenu'][lang].personal_cabinet);
        });
    });

    myApp.onPageBeforeInit('account', function() {
        accountSettings.renderOptions(
            $('.view-area').last().find('.page-content')
        );
        $('.js-app-name').text(l10n['auth_sidemenu'][lang].settings);
    });
});
