l10n.auth_sidemenu = {
    'ru-RU': {
        personal_cabinet: 'Личный кабинет',
        sign_in: 'Войти',
    },
    'en-US': {
        personal_cabinet: 'Personal account',
        sign_in: 'Sign in',
    }
};


var PersonalCabinetManager = function(caller_instance) {
    var self = this;
    this.render = function(form) {
        var $container = $('.view-area').last().find('.js-login-form');

        switch (form) {
        case 'login':
            var loginForm = new LoginForm({
                container: $container,
                registration_type: mainConfig.registration_type
                                       || LoginForm.REGISTRATION_FREE,
                onSuccessfulLogin: function() {
                    if (caller_instance === null) {
                        mainView.router.load({url: 'account.html'});
                    } else {
                        mainView.router.load({url: caller_instance + '.html'});
                    }
                },
                onRegistrationClick: function() {
                    self.render('registration');
                },
                onRecoverPasswordClick: function() {
                    self.render('forgot_password');
                }
            });
            renderForm(loginForm);
            break;
        case 'registration':
            var registrationForm = new RegistrationForm({
                container: $container,
                onBack: function() {
                    self.render('login');
                }
            });
            renderForm(registrationForm);
            break;
        case 'forgot_password':
            var recoverPasswordForm = new ForgotPasswordForm({
                container: $container,
                onSentPassword: function() {
                    self.render('login');
                },
                onBackClick: function() {
                    self.render('login');
                }
            });
            renderForm(recoverPasswordForm);
            break;
        default:
            self.render('login');
        }


        /**
         * Hides current form and renders given one.
         * Note that given form must implement "render" method.
         *
         * @param {object} form   Form to be rendered.
         */
        function renderForm(form) {
            $container.fadeOut(200, function() {
            $container.empty();
                form.render();
                $container.fadeIn(200);
            });
        }
    };
};
