/**
 * Этот файл содержит функции компонента, которые должны быть доступны глобально
 * и не должны дублироваться в других местах.
 * Например, само тело рендерера компонента
 * (пример: текстовых страниц может быть много, но рендерер текстовых страниц
 * - один)
 */

/**
 * Класс для отрисовки компонента
 *
 * @constructor * @this {TextEditComponent}
 */
function AboutUsComponent() {
    /** 
     * "Отрисовка" компонента.
     *
     * @selector {object} Объект-контейнер, куда будут добавляться элементы.
     * @config {string} Конфиг для заполнения компонента в формате JSON.
     */
    this.renderComponent = function(selector, config) {
        var data = $.parseJSON(config);
        if (data.text == null) {
            data.text = l10n.about_us[lang].text;
        }
        selector.append('' +
                '<div class="page-content js-component-aboutus">' +
                    '<div class="component_d_aboutus_text">' +
                        data.text+
                    '</div>' +
                '</div>');
        //this.txtInput = $('.js-component-aboutus');
    };
}
