
/**
 * Renders slider page.
 * Note that it is not directly accessible on real app.
 *
 * @constructor
 */
function SliderEditComponent() {
    /**
     * "Отрисовка" компонента.
     *
     * @param {object} selector Объект-контейнер, куда будут добавляться элементы.
     * @param {string} config Конфиг для заполнения компонента в формате JSON.
     * @param {string} sliderID ID банера
     */
    this.renderComponent = function(selector, config, sliderID) {
        if (!sliderID || sliderID == -1) {
            return;
        }
        // TODO: add description about missing content and showing only on
        // TODO: main page.
        selector.append('' +
            '<div class="page-content component_in_slider_overflow" ' +
                 'id="component-slider">' +
                '<div class="component_d_slider_text"></div>' +
            '</div>');
        this.txtInput = $('#component-slider');
    };
}

/**
 * Функция, выполняющаяся при нажатии на баннер
 *
 * @param {string} params - параметры
 */
function openSlider(params) {
    switch(params.inf[params.num].sliderAction) {
    case 'slider-search':
        if (shopInstance) {
            mainView.router.load({
                url: shopInstance.href +
                '?searchQuery=' + params.inf[params.num].searchStr,
                context: {
                    Title: params.inf[params.num].offerName,
                    IsBasketVisible: true
                }
            });
        }
        break;
    case 'slider-external-url':
        window.open(params.inf[params.num].exUrlStr);
        break;
    case 'slider-call':
        document.location = 'tel:' + params.inf[params.num].phoneNumber;
        break;
    case 'slider-category':
        if (!shopInstance) {
            break;
        }
        mainView.router.load({
            url: shopInstance.href +
            '?category_id=' + params.inf[params.num].categoryID,
            context: {
                Title: shopInstance.text,
                IsBasketVisible: true
            }
        });
        break;
    case 'slider-offer':
        if (!shopInstance) {
            break;
        }
        mainView.router.load({
            url: shopInstance.href +
            '?productId=' + params.inf[params.num].offerID,
            context: {
                Title: params.inf[params.num].offerName,
                IsBasketVisible: true
            }
        });
        break;
    case 'slider-open-new':
        var data = params.inf[params.num].newData;
        mainView.router.load({
            url: data.new_instance_id + '.html?new=' + data.new_id,
        });
        break;
    case 'slider-open-instance':
        var instanceID = params.inf[params.num].instanceID;
        mainView.router.load({url: instanceID + '.html'});
        break;
    }
}
