/**
 * Класс для отрисовки компонента
 */
function Payment2Component() {
    /**
     * "Отрисовка" компонента.
     *
     * @param {object} selector   Контейнер, куда будут добавляться элементы.
     * @param {string} config     Конфиг инстанса в формате JSON.
     */
    this.renderComponent = function(selector, config) {
        var data = $.parseJSON(config);
        if (data.text == null) {
            data.text = l10n.payment_2[lang].text;
        }
        selector.append(
            '<div class="page-content js-component-payment_2">' +
                '<div class="component_d_payment_2_text">' +
                    data.text +
                '</div>' +
            '</div>'
        );

        // Необходимо добавлять класс external иначе ссылки
        // открываются через Ajax.

        // Ссылки с data-type="inner" должны открываться внутри приложения
        // (ссылки на плагины, новости, ...)
        $('.js-component-payment_2')
            .find('a').not('[data-type="inner"]')
            .each(function(i, el) {
                var $el = $(el);
                $el.addClass('external');
                var href = $el.prop('href');
                if (((href.indexOf(schema + '://' + serverUrl) !== -1)
                    && (href.indexOf('#') !== -1))
                    || (href.indexOf('#') === 0)
                ) {
                    $el.prop('target', '');
                }
            });
    };
}
